package com.jjt.wkEmp.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.wkEmp.domain.TwinWkEmpSync;

/**
 * 经编车间排班同步记录Mapper接口
 *
 * @author wukai
 * @date 2025-04-28
 */
public interface TwinWkEmpSyncMapper extends BaseMapper<TwinWkEmpSync>
{
    /**
     * 查询经编车间排班同步记录
     *
     * @param syncId 经编车间排班同步记录主键
     * @return 经编车间排班同步记录
     */
    public TwinWkEmpSync selectTwinWkEmpSyncBySyncId(Long syncId);

    /**
     * 查询经编车间排班同步记录列表
     *
     * @param twinWkEmpSync 经编车间排班同步记录
     * @return 经编车间排班同步记录集合
     */
    public List<TwinWkEmpSync> selectTwinWkEmpSyncList(TwinWkEmpSync twinWkEmpSync);

    /**
     * 新增经编车间排班同步记录
     *
     * @param twinWkEmpSync 经编车间排班同步记录
     * @return 结果
     */
    public int insertTwinWkEmpSync(TwinWkEmpSync twinWkEmpSync);

    /**
     * 修改经编车间排班同步记录
     *
     * @param twinWkEmpSync 经编车间排班同步记录
     * @return 结果
     */
    public int updateTwinWkEmpSync(TwinWkEmpSync twinWkEmpSync);

    /**
     * 删除经编车间排班同步记录
     *
     * @param syncId 经编车间排班同步记录主键
     * @return 结果
     */
    public int deleteTwinWkEmpSyncBySyncId(Long syncId);

    /**
     * 批量删除经编车间排班同步记录
     *
     * @param syncIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinWkEmpSyncBySyncIds(Long[] syncIds);
    /**
     * 清空记录
     *
     * @return 结果
     */
    void clean();
}
